AnalyticContinuousGeometricAveragePriceAsianEngine Class Reference
Pricing engines » Asian option engines

Pricing engine for European continuous geometric average price Asian. More...

`#include <ql/pricingengines/asian/analytic_cont_geom_av_price.hpp>`

Inheritance diagram for AnalyticContinuousGeometricAveragePriceAsianEngine:
[legend]

## Public Member Functions

| AnalyticContinuousGeometricAveragePriceAsianEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const
Public Member Functions inherited from GenericEngine< ContinuousAveragingAsianOption::arguments, ContinuousAveragingAsianOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< ContinuousAveragingAsianOption::arguments, ContinuousAveragingAsianOption::results >
ContinuousAveragingAsianOption::arguments | arguments_
ContinuousAveragingAsianOption::results | results_

## Detailed Description

Pricing engine for European continuous geometric average price Asian.

This class implements a continuous geometric average price Asian option with European exercise. The formula is from "Option Pricing Formulas", E. G. Haug (1997) pag 96-97.

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature, and results obtained using a discrete average approximation.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.